MyGUI 3.2.2

Public Member Functions
MyGUI::ILogListener Class Reference

`#include <MyGUI_ILogListener.h>`

Inheritance diagram for MyGUI::ILogListener:
[legend]

## Public Member Functions
virtual | ~ILogListener ()
virtual void | open ()
virtual void | close ()
virtual void | flush ()
virtual void | log (const std::string &_section, LogLevel _level, const struct tm *_time, const std::string &_message, const char *_file, int _line)

## Detailed Description

Definition at line 16 of file MyGUI_ILogListener.h.

## Constructor & Destructor Documentation

## ◆ ~ILogListener()

virtual MyGUI::ILogListener::~ILogListener | ( |  | ) |
| inline virtual

Definition at line 19 of file MyGUI_ILogListener.h.

## Member Function Documentation

## ◆ close()

virtual void MyGUI::ILogListener::close | ( |  | ) |
| inline virtual

Opens log listener. (for example close file)

Reimplemented in MyGUI::FileLogListener.

Definition at line 24 of file MyGUI_ILogListener.h.

## ◆ flush()

virtual void MyGUI::ILogListener::flush | ( |  | ) |
| inline virtual

Flush log listener messages.

Reimplemented in MyGUI::FileLogListener.

Definition at line 26 of file MyGUI_ILogListener.h.

## ◆ log()

virtual void MyGUI::ILogListener::log | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line
| ) |  |
| inline virtual

Log message.

Reimplemented in MyGUI::FileLogListener, and MyGUI::ConsoleLogListener.

Definition at line 28 of file MyGUI_ILogListener.h.

## ◆ open()

virtual void MyGUI::ILogListener::open | ( |  | ) |
| inline virtual

Opens log listener. (for example open file)

Reimplemented in MyGUI::FileLogListener.

Definition at line 22 of file MyGUI_ILogListener.h.

The documentation for this class was generated from the following file:

- MyGUI_ILogListener.h